package com.factory.web.entity.fa;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalTime;

/**
 * 这个表日月周目前都只设置一个，目前对应useid也是一个本项目，但之后应该是
 * 每个人可以有一套信息的这个时间表是为了扩展和满足现有设计
 *
 * @author dl
 * @date 2021-08-06 17:51:58
 */
@Data
@TableName("first_article_calendar")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
public class FirstArticleCalendar implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)

    @ApiModelProperty(value = "唯一id主键")
    private Long id;

    @ApiModelProperty(value = "关联benteler_plan表的id")
    private Long bentelerPlanId;

    @ApiModelProperty(value = "首件开始时间")
    private LocalTime firstStart;

    @ApiModelProperty(value = "首件提醒时间")
    private LocalTime firstRemind;

    @ApiModelProperty(value = "首件（检测结束时间）")
    private LocalTime firstEnd;

    @ApiModelProperty(value = "200件提交时间（pad提醒时间）")
    private LocalTime twoRemind;

    @ApiModelProperty(value = "升级时长(分钟)")
    private Integer upleverTimeNum;

    @ApiModelProperty(value = "0 首件  1 200件  2中断   由于中断是主动提交没必要设置")
    private Integer typeFlag;

    @ApiModelProperty(value = "责任人1班次")
    private String principalOneShift;

    @ApiModelProperty(value = "责任人1  id")
    private Integer principalOneId;

    @ApiModelProperty(value = "责任人2班次")
    private String principalTwoShift;

    @ApiModelProperty(value = "责任人2id")
    private Integer principalTwoId;

}
